Chuyển đến nội dung
Diễn đàn CADViet
nguyentrongdanh2010

lạ khi ghi kích thước

Các bài được khuyến nghị

các bác cho em hỏi chút: mình mới mở một bản vẽ ngươi bạn nhờ chỉnh sửa lại, m thấy text trong kích thước ghi 600/2 , mình đo lại thì đươc kích thước 300, mình tưởng là họ đã sử dụng lệnh ed ở đây nhưng khi mình kéo đoạn thẳng đi thì kích thước cũng thay đổi theo(lên 800/2 chẳng hạn). mọi người chỉ dùm mình làm thế nào để có thể làm được kiểu dim kích thước này.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
các bác cho em hỏi chút: mình mới mở một bản vẽ ngươi bạn nhờ chỉnh sửa lại, m thấy text trong kích thước ghi 600/2 , mình đo lại thì đươc kích thước 300, mình tưởng là họ đã sử dụng lệnh ed ở đây nhưng khi mình kéo đoạn thẳng đi thì kích thước cũng thay đổi theo(lên 800/2 chẳng hạn). mọi người chỉ dùm mình làm thế nào để có thể làm được kiểu dim kích thước này.

Bạn dõ lệnh DST(Dimstyle) -> Chọn kiểu Dim -> Modify -> Nhãn Primary Units -> Ở Suffix : gõ /2

Tức là hậu tố của Dim là /2 đấy mà.

Hy vọng bạn làm được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vấn đề như bạn Tue nv noi m cũng đã biết. Nhưng m hỏi là: họ ghi kích thước 600/2,còn mình đo lại được 300(mình hiểu là 600/2 = 300 vì bản vẽ của họ đối xứng, mỗi bên kích thước 300 nhưng họ ko ghi mỗi bên 300, mà lại ghi 600/2)). còn llàm như Tue nv thì khi làm như thế vẫn được 600/2,nhưng dùng dim style khác đo lại là 600.mọi người giúp tớ vụ này nhé!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vấn đề như bạn Tue nv noi m cũng đã biết. Nhưng m hỏi là: họ ghi kích thước 600/2,còn mình đo lại được 300(mình hiểu là 600/2 = 300 vì bản vẽ của họ đối xứng, mỗi bên kích thước 300 nhưng họ ko ghi mỗi bên 300, mà lại ghi 600/2)). còn llàm như Tue nv thì khi làm như thế vẫn được 600/2,nhưng dùng dim style khác đo lại là 600.mọi người giúp tớ vụ này nhé!

 

Bạn có thể upload file đó lên đây được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tốt nhất là bạn gửi file lên :lol: Mình chỉ biết cách làm như thêế theo kiểu bên trên vẫn ghi 300,bên dưới dim nó ghi 600/2 được thôi.CÒn chỉ hiện 600/2 không thì chưa bít :lol:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vấn đề như bạn Tue nv noi m cũng đã biết. Nhưng m hỏi là: họ ghi kích thước 600/2,còn mình đo lại được 300(mình hiểu là 600/2 = 300 vì bản vẽ của họ đối xứng, mỗi bên kích thước 300 nhưng họ ko ghi mỗi bên 300, mà lại ghi 600/2)). còn llàm như Tue nv thì khi làm như thế vẫn được 600/2,nhưng dùng dim style khác đo lại là 600.mọi người giúp tớ vụ này nhé!

Cái này là họ ed dim thêm /2 vào sau giá trị dim. Hoặc bạn ed dim rồi copy dòng này vào <>/2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
http://www.cadviet.com/upfiles/3/nguyen_trong_danh.dwg

đây là link file của mình. mọi người xem nha.

À cái này là thêm /2 vào Dim Suffix trong bảng properties phần prymary units. Bạn copy dùng này vào dòng command sau dó chọn dim

(vla-put-textsuffix (vlax-ename->vla-object (car (entsel)))"/2")

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chính xác là người ta dim với tỉ lệ 1/1 như thường,sau đó Ctrl+1 để chỉnh suffix = /2,scale factor 2.Với cách này thì nội bộ đối tượng như thế thôi,không bị thay đổi toàn Dimstyle

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
À cái này là thêm /2 vào Dim Suffix trong bảng properties phần prymary units

Và thêm scale factor lên 2 chứ bác ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ý bạn đó là giá trị thực của nó trên tỉ lệ 1:1 là 300,thì khi dim nó sẽ là 600/2 ==> ta nhân scale lên 2 lần,và thêm hậu tố /2 đằng sau,để khi dim đạt đúng kết quả = 600/2.Bác làm luôn cái lisp xinh xinh chiến vụ này đi :">.Dân cơ khí chắc hay dùng

 

P/S : e với bác post bài lẫn hết cả lộn.Đúng là làm như trên ý,n làm trên bảng Ctrl 1 thì hay hơn,vì không ảnh hưởng đến toàn dimstyle.Nhưng nếu số lượng nhiều thì chỉnh trong DST là chuẩn r

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
À cái này là thêm /2 vào Dim Suffix trong bảng properties phần prymary units. Bạn copy dùng này vào dòng command sau dó chọn dim

(vla-put-textsuffix (vlax-ename->vla-object (car (entsel)))"/2")

Ý bạn đó là giá trị thực của nó trên tỉ lệ 1:1 là 300,thì khi dim nó sẽ là 600/2 ==> ta nhân scale lên 2 lần,và thêm hậu tố /2 đằng sau,để khi dim đạt đúng kết quả = 600/2.Bác làm luôn cái lisp xinh xinh chiến vụ này đi :">.Dân cơ khí chắc hay dùng

 

P/S : e với bác post bài lẫn hết cả lộn.Đúng là làm như trên ý,n làm trên bảng Ctrl 1 thì hay hơn,vì không ảnh hưởng đến toàn dimstyle.Nhưng nếu số lượng nhiều thì chỉnh trong DST là chuẩn r

Có cần tới Lisp phải ra tay không nhỉ? :lol:

CAD xử vụ này rất ngon lành

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tất nhiên là k cần thiết rồi ạ,vì e có bao giờ dùng đâu ^^.Nhưng giả sử có bác nào cần ghi chú 1 vài cái dim dạng a/b ,mà có sẵn dim hết rồi ý..Tạo 1 dst riêng( ồi ngồi dim lại),hoặc làm properties 1 thằng rồi ma vào những thằng khác,hoặc dùng lệnh như bác Tú cũng là tương đương,nhưng bác bảo nhớ dòng lệnh thì... :| nên mới có trò 1 lisp nhỏ xinh,kích phát đc luôn ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×